diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/site-users.php ./wordpress-3.3/wp-admin/network/site-users.php
*** ./wordpress-3.2.1/wp-admin/network/site-users.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/site-users.php	2011-12-10 12:26:48.000000000 -0600
***************
*** 19,37 ****
  $wp_list_table = _get_list_table('WP_Users_List_Table');
  $wp_list_table->prepare_items();
  
! $action = $wp_list_table->current_action();
  
! add_contextual_help($current_screen,
! 	'<p>' . __('The menu is for editing information specific to individual sites, particularly if the admin area of a site is unavailable.') . '</p>' .
! 	'<p>' . __('<strong>Info</strong> - The domain and path are rarely edited as this can cause the site to not work properly. The Registered date and Last Updated date are displayed. Network admins can mark a site as archived, spam, deleted and mature, to remove from public listings or disable.') . '</p>' .
! 	'<p>' . __('<strong>Users</strong> - This displays the users associated with this site. You can also change their role, reset their password, or remove them from the site. Removing the user from the site does not remove the user from the network.') . '</p>' .
! 	'<p>' . sprintf( __('<strong>Themes</strong> - This area shows themes that are not already enabled across the network. Enabling a theme in this menu makes it accessible to this site. It does not activate the theme, but allows it to show in the site&#8217;s Appearance menu. To enable a theme for the entire network, see the <a href="%s">Network Themes</a> screen.' ), network_admin_url( 'themes.php' ) ) . '</p>' .
! 	'<p>' . __('<strong>Settings</strong> - This page shows a list of all settings associated with this site. Some are created by WordPress and others are created by plugins you activate. Note that some fields are grayed out and say Serialized Data. You cannot modify these values due to the way the setting is stored in the database.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
  $id = isset( $_REQUEST['id'] ) ? intval( $_REQUEST['id'] ) : 0;
  
  if ( ! $id )
--- 19,44 ----
  $wp_list_table = _get_list_table('WP_Users_List_Table');
  $wp_list_table->prepare_items();
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
! 		'<p>' . __('The menu is for editing information specific to individual sites, particularly if the admin area of a site is unavailable.') . '</p>' .
! 		'<p>' . __('<strong>Info</strong> - The domain and path are rarely edited as this can cause the site to not work properly. The Registered date and Last Updated date are displayed. Network admins can mark a site as archived, spam, deleted and mature, to remove from public listings or disable.') . '</p>' .
! 		'<p>' . __('<strong>Users</strong> - This displays the users associated with this site. You can also change their role, reset their password, or remove them from the site. Removing the user from the site does not remove the user from the network.') . '</p>' .
! 		'<p>' . sprintf( __('<strong>Themes</strong> - This area shows themes that are not already enabled across the network. Enabling a theme in this menu makes it accessible to this site. It does not activate the theme, but allows it to show in the site&#8217;s Appearance menu. To enable a theme for the entire network, see the <a href="%s">Network Themes</a> screen.' ), network_admin_url( 'themes.php' ) ) . '</p>' .
! 		'<p>' . __('<strong>Settings</strong> - This page shows a list of all settings associated with this site. Some are created by WordPress and others are created by plugins you activate. Note that some fields are grayed out and say Serialized Data. You cannot modify these values due to the way the setting is stored in the database.') . '</p>'
! ) );
  
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Sites_Screens" target="_blank">Documentation on Site Management</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
  );
  
+ $_SERVER['REQUEST_URI'] = remove_query_arg( 'update', $_SERVER['REQUEST_URI'] );
+ $referer = remove_query_arg( 'update', wp_get_referer() );
+ 
  $id = isset( $_REQUEST['id'] ) ? intval( $_REQUEST['id'] ) : 0;
  
  if ( ! $id )
***************
*** 59,65 ****
  
  if ( $action ) {
  	switch_to_blog( $id );
! 	
  	switch ( $action ) {
  		case 'newuser':
  			check_admin_referer( 'add-user', '_wpnonce_add-new-user' );
--- 66,72 ----
  
  if ( $action ) {
  	switch_to_blog( $id );
! 
  	switch ( $action ) {
  		case 'newuser':
  			check_admin_referer( 'add-user', '_wpnonce_add-new-user' );
***************
*** 84,90 ****
  			check_admin_referer( 'add-user', '_wpnonce_add-user' );
  			if ( !empty( $_POST['newuser'] ) ) {
  				$update = 'adduser';
! 				$newuser = $_POST['newuser'];				
  				$userid = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM " . $wpdb->users . " WHERE user_login = %s", $newuser ) );
  				if ( $userid ) {
  					$user = $wpdb->get_var( "SELECT user_id FROM " . $wpdb->usermeta . " WHERE user_id='$userid' AND meta_key='{$blog_prefix}capabilities'" );
--- 91,97 ----
  			check_admin_referer( 'add-user', '_wpnonce_add-user' );
  			if ( !empty( $_POST['newuser'] ) ) {
  				$update = 'adduser';
! 				$newuser = $_POST['newuser'];
  				$userid = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM " . $wpdb->users . " WHERE user_login = %s", $newuser ) );
  				if ( $userid ) {
  					$user = $wpdb->get_var( "SELECT user_id FROM " . $wpdb->usermeta . " WHERE user_id='$userid' AND meta_key='{$blog_prefix}capabilities'" );
***************
*** 99,110 ****
  				$update = 'err_add_notfound';
  			}
  			break;
! 		
  		case 'remove':
  			if ( !current_user_can('remove_users')  )
  				die(__('You can&#8217;t remove users.'));
  			check_admin_referer( 'bulk-users' );
! 			
  			$update = 'remove';
  			if ( isset( $_REQUEST['users'] ) ) {
  				$userids = $_REQUEST['users'];
--- 106,117 ----
  				$update = 'err_add_notfound';
  			}
  			break;
! 
  		case 'remove':
  			if ( !current_user_can('remove_users')  )
  				die(__('You can&#8217;t remove users.'));
  			check_admin_referer( 'bulk-users' );
! 
  			$update = 'remove';
  			if ( isset( $_REQUEST['users'] ) ) {
  				$userids = $_REQUEST['users'];
***************
*** 144,157 ****
  			}
  			break;
  	}
! 	
  	restore_current_blog();
! 	wp_redirect( add_query_arg( 'update', $update, wp_get_referer() ) );
  	exit();
  }
  
  if ( isset( $_GET['action'] ) && 'update-site' == $_GET['action'] ) {
! 	wp_redirect( wp_get_referer() );
  	exit();
  }
  
--- 151,164 ----
  			}
  			break;
  	}
! 
  	restore_current_blog();
! 	wp_safe_redirect( add_query_arg( 'update', $update, $referer ) );
  	exit();
  }
  
  if ( isset( $_GET['action'] ) && 'update-site' == $_GET['action'] ) {
! 	wp_safe_redirect( $referer );
  	exit();
  }
  
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/themes.php ./wordpress-3.3/wp-admin/network/themes.php
*** ./wordpress-3.2.1/wp-admin/network/themes.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/themes.php	2011-12-10 12:26:48.000000000 -0600
***************
*** 34,79 ****
  $referer = remove_query_arg( $temp_args, wp_get_referer() );
  
  if ( $action ) {
! 	$allowed_themes = get_site_option( 'allowedthemes' );	
  	switch ( $action ) {
  		case 'enable':
  			check_admin_referer('enable-theme_' . $_GET['theme']);
  			$allowed_themes[ $_GET['theme'] ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( add_query_arg( 'enabled', '1', $referer ) );
  			exit;
  			break;
  		case 'disable':
  			check_admin_referer('disable-theme_' . $_GET['theme']);
  			unset( $allowed_themes[ $_GET['theme'] ] );
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( add_query_arg( 'disabled', '1', $referer ) );
  			exit;
  			break;
  		case 'enable-selected':
  			check_admin_referer('bulk-themes');
  			$themes = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  			if ( empty($themes) ) {
! 				wp_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  			foreach( (array) $themes as $theme )
  				$allowed_themes[ $theme ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( add_query_arg( 'enabled', count( $themes ), $referer ) );
  			exit;
  			break;
  		case 'disable-selected':
  			check_admin_referer('bulk-themes');
  			$themes = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  			if ( empty($themes) ) {
! 				wp_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  			foreach( (array) $themes as $theme )
  				unset( $allowed_themes[ $theme ] );
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( add_query_arg( 'disabled', count( $themes ), $referer ) );
  			exit;
  			break;
  		case 'delete-selected':
--- 34,107 ----
  $referer = remove_query_arg( $temp_args, wp_get_referer() );
  
  if ( $action ) {
! 	$allowed_themes = get_site_option( 'allowedthemes' );
  	switch ( $action ) {
  		case 'enable':
  			check_admin_referer('enable-theme_' . $_GET['theme']);
  			$allowed_themes[ $_GET['theme'] ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_redirect( network_admin_url( 'themes.php?enabled=1' ) );
  			exit;
  			break;
  		case 'disable':
  			check_admin_referer('disable-theme_' . $_GET['theme']);
  			unset( $allowed_themes[ $_GET['theme'] ] );
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_safe_redirect( add_query_arg( 'disabled', '1', $referer ) );
  			exit;
  			break;
  		case 'enable-selected':
  			check_admin_referer('bulk-themes');
  			$themes = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  			if ( empty($themes) ) {
! 				wp_safe_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  			foreach( (array) $themes as $theme )
  				$allowed_themes[ $theme ] = true;
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_safe_redirect( add_query_arg( 'enabled', count( $themes ), $referer ) );
  			exit;
  			break;
  		case 'disable-selected':
  			check_admin_referer('bulk-themes');
  			$themes = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  			if ( empty($themes) ) {
! 				wp_safe_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  			foreach( (array) $themes as $theme )
  				unset( $allowed_themes[ $theme ] );
  			update_site_option( 'allowedthemes', $allowed_themes );
! 			wp_safe_redirect( add_query_arg( 'disabled', count( $themes ), $referer ) );
! 			exit;
! 			break;
! 		case 'update-selected' :
! 			check_admin_referer( 'bulk-themes' );
! 
! 			if ( isset( $_GET['themes'] ) )
! 				$themes = explode( ',', $_GET['themes'] );
! 			elseif ( isset( $_POST['checked'] ) )
! 				$themes = (array) $_POST['checked'];
! 			else
! 				$themes = array();
! 
! 			$title = __( 'Update Themes' );
! 			$parent_file = 'themes.php';
! 
! 			require_once(ABSPATH . 'wp-admin/admin-header.php');
! 
! 			echo '<div class="wrap">';
! 			screen_icon();
! 			echo '<h2>' . esc_html( $title ) . '</h2>';
! 
! 
! 			$url = self_admin_url('update.php?action=update-selected-themes&amp;themes=' . urlencode( join(',', $themes) ));
! 			$url = wp_nonce_url($url, 'bulk-update-themes');
! 
! 			echo "<iframe src='$url' style='width: 100%; height:100%; min-height:850px;'></iframe>";
! 			echo '</div>';
! 			require_once(ABSPATH . 'wp-admin/admin-footer.php');
  			exit;
  			break;
  		case 'delete-selected':
***************
*** 89,95 ****
  				unset( $themes[ get_option( 'stylesheet' ) ] );
  
  			if ( empty( $themes ) ) {
! 				wp_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  
--- 117,123 ----
  				unset( $themes[ get_option( 'stylesheet' ) ] );
  
  			if ( empty( $themes ) ) {
! 				wp_safe_redirect( add_query_arg( 'error', 'none', $referer ) );
  				exit;
  			}
  
***************
*** 100,112 ****
  				if ( $data['Name'] == $main_theme ) {
  					unset( $themes[$key] );
  				} else {
! 					$files_to_delete = array_merge( $files_to_delete, list_files( WP_CONTENT_DIR . "/themes/$theme" ) );					
  					$theme_info[ $theme ] = $data;
  				}
  			}
! 			
  			if ( empty( $themes ) ) {
! 				wp_redirect( add_query_arg( 'error', 'main', $referer ) );
  				exit;
  			}
  
--- 128,140 ----
  				if ( $data['Name'] == $main_theme ) {
  					unset( $themes[$key] );
  				} else {
! 					$files_to_delete = array_merge( $files_to_delete, list_files( WP_CONTENT_DIR . "/themes/$theme" ) );
  					$theme_info[ $theme ] = $data;
  				}
  			}
! 
  			if ( empty( $themes ) ) {
! 				wp_safe_redirect( add_query_arg( 'error', 'main', $referer ) );
  				exit;
  			}
  
***************
*** 162,168 ****
  
  			foreach ( $themes as $theme )
  				$delete_result = delete_theme( $theme, esc_url( add_query_arg( array('verify-delete' => 1), $_SERVER['REQUEST_URI'] ) ) );
! 			$paged = ( $_REQUEST['paged'] ) ? $_REQUEST['paged'] : 1; 
  			wp_redirect( network_admin_url( "themes.php?deleted=".count( $themes )."&paged=$paged&s=$s" ) );
  			exit;
  			break;
--- 190,196 ----
  
  			foreach ( $themes as $theme )
  				$delete_result = delete_theme( $theme, esc_url( add_query_arg( array('verify-delete' => 1), $_SERVER['REQUEST_URI'] ) ) );
! 			$paged = ( $_REQUEST['paged'] ) ? $_REQUEST['paged'] : 1;
  			wp_redirect( network_admin_url( "themes.php?deleted=".count( $themes )."&paged=$paged&s=$s" ) );
  			exit;
  			break;
***************
*** 175,184 ****
  
  add_screen_option( 'per_page', array('label' => _x( 'Themes', 'themes per page (screen options)' )) );
  
! add_contextual_help($current_screen,
! 	'<p>' . __('This screen enables and disables the inclusion of themes available to choose in the Appearance menu for each site. It does not activate or deactivate which theme a site is currently using.') . '</p>' .
! 	'<p>' . __('If the network admin disables a theme that is in use, it can still remain selected on that site. If another theme is chosen, the disabled theme will not appear in the site&#8217;s Appearance > Themes screen.') . '</p>' .
! 	'<p>' . __('Themes can be enabled on a site by site basis by the network admin on the Edit Site screen (which has a Themes tab); get there via the Edit action link on the All Sites screen. Only network admins are able to install or edit themes.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Themes_Screen" target="_blank">Documentation on Network Themes</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 203,218 ----
  
  add_screen_option( 'per_page', array('label' => _x( 'Themes', 'themes per page (screen options)' )) );
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
! 		'<p>' . __('This screen enables and disables the inclusion of themes available to choose in the Appearance menu for each site. It does not activate or deactivate which theme a site is currently using.') . '</p>' .
! 		'<p>' . __('If the network admin disables a theme that is in use, it can still remain selected on that site. If another theme is chosen, the disabled theme will not appear in the site&#8217;s Appearance > Themes screen.') . '</p>' .
! 		'<p>' . __('Themes can be enabled on a site by site basis by the network admin on the Edit Site screen (which has a Themes tab); get there via the Edit action link on the All Sites screen. Only network admins are able to install or edit themes.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Themes_Screen" target="_blank">Documentation on Network Themes</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 194,201 ****
  <div class="wrap">
  <?php screen_icon('themes'); ?>
  <h2><?php echo esc_html( $title ); if ( current_user_can('install_themes') ) { ?> <a href="theme-install.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'theme'); ?></a><?php }
! if ( $s ) 
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( $s ) ); ?> 
  </h2>
  
  <?php
--- 228,235 ----
  <div class="wrap">
  <?php screen_icon('themes'); ?>
  <h2><?php echo esc_html( $title ); if ( current_user_can('install_themes') ) { ?> <a href="theme-install.php" class="add-new-h2"><?php echo esc_html_x('Add New', 'theme'); ?></a><?php }
! if ( $s )
! 	printf( '<span class="subtitle">' . __('Search results for &#8220;%s&#8221;') . '</span>', esc_html( $s ) ); ?>
  </h2>
  
  <?php
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/upgrade.php ./wordpress-3.3/wp-admin/network/upgrade.php
*** ./wordpress-3.2.1/wp-admin/network/upgrade.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/upgrade.php	2011-12-08 10:49:16.000000000 -0600
***************
*** 18,27 ****
  $title = __( 'Update Network' );
  $parent_file = 'upgrade.php';
  
! add_contextual_help($current_screen,
! 	'<p>' . __('Only use this screen once you have updated to a new version of WordPress through Updates/Available Updates (via the Network Administration navigation menu or the Admin Bar). Clicking the Update Network button will step through each site in the network, five at a time, and make sure any database updates are applied.') . '</p>' .
! 	'<p>' . __('If a version update to core has not happened, clicking this button won&#8217;t affect anything.') . '</p>' .
! 	'<p>' . __('If this process fails for any reason, users logging in to their sites will force the same update.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Update Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 18,33 ----
  $title = __( 'Update Network' );
  $parent_file = 'upgrade.php';
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
! 		'<p>' . __('Only use this screen once you have updated to a new version of WordPress through Updates/Available Updates (via the Network Administration navigation menu or the Toolbar). Clicking the Update Network button will step through each site in the network, five at a time, and make sure any database updates are applied.') . '</p>' .
! 		'<p>' . __('If a version update to core has not happened, clicking this button won&#8217;t affect anything.') . '</p>' .
! 		'<p>' . __('If this process fails for any reason, users logging in to their sites will force the same update.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Updates_Screen" target="_blank">Documentation on Update Network</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/network/user-new.php ./wordpress-3.3/wp-admin/network/user-new.php
*** ./wordpress-3.2.1/wp-admin/network/user-new.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/network/user-new.php	2011-12-08 17:02:33.000000000 -0600
***************
*** 17,25 ****
  	wp_die(__('You do not have sufficient permissions to add users to this network.'));
  
  
! add_contextual_help($current_screen,
! 	'<p>' . __('Add User will set up a new user account on the network and send that person an email with username and password.') . '</p>' .
! 	'<p>' . __('Users who are signed up to the network without a site are added as subscribers to the main or primary dashboard site, giving them profile pages to manage their accounts. These users will only see Dashboard and My Sites in the main navigation until a site is created for them.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Users_Screen" target="_blank">Documentation on Network Users</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
--- 17,31 ----
  	wp_die(__('You do not have sufficient permissions to add users to this network.'));
  
  
! get_current_screen()->add_help_tab( array(
! 	'id'      => 'overview',
! 	'title'   => __('Overview'),
! 	'content' =>
! 		'<p>' . __('Add User will set up a new user account on the network and send that person an email with username and password.') . '</p>' .
! 		'<p>' . __('Users who are signed up to the network without a site are added as subscribers to the main or primary dashboard site, giving them profile pages to manage their accounts. These users will only see Dashboard and My Sites in the main navigation until a site is created for them.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Network_Admin_Users_Screen" target="_blank">Documentation on Network Users</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/forum/multisite/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 35,41 ****
  
  	$user = $_POST['user'];
  
! 	$user_details = wpmu_validate_user_signup( $user['username'], $user['email'] ); 
  	if ( is_wp_error( $user_details[ 'errors' ] ) && ! empty( $user_details[ 'errors' ]->errors ) ) {
  		$add_user_errors = $user_details[ 'errors' ];
  	} else {
--- 41,47 ----
  
  	$user = $_POST['user'];
  
! 	$user_details = wpmu_validate_user_signup( $user['username'], $user['email'] );
  	if ( is_wp_error( $user_details[ 'errors' ] ) && ! empty( $user_details[ 'errors' ]->errors ) ) {
  		$add_user_errors = $user_details[ 'errors' ];
  	} else {
***************
*** 80,86 ****
  		?>
  	</div>
  <?php } ?>
! 	<form action="<?php echo network_admin_url('user-new.php?action=add-user'); ?>" id="adduser" method="post">	
  	<table class="form-table">
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Username' ) ?></th>
--- 86,92 ----
  		?>
  	</div>
  <?php } ?>
! 	<form action="<?php echo network_admin_url('user-new.php?action=add-user'); ?>" id="adduser" method="post">
  	<table class="form-table">
  		<tr class="form-field form-required">
  			<th scope="row"><?php _e( 'Username' ) ?></th>
